[Solved]Installing QT in RHEL(RedHat Linux)



  • hi,,

    from 2days onwards we are trying to install QT in RHEL6.4 version.

    Qt is 2.7.1 under QT5.0.2

    at first time it is asking for some glibc files, I searched for these and installed but now it is showing

    bq. Floating point exception (core dumped)

    What is the problem here? Is any guess ?

    Installing QT in RHEL is possible or not?



  • Hi,

    I suppose your problem happens when you run Qt Creator. Did you install everything from the binaries? I haven't tried installing it on Red Hat, but successfully installed it from the sources on CentOS 6.4 (which is based on RHEL6.4). The process was pretty straightforward:

    To compile Qt:
    @./configure -prefix /path/to/qt-5.0.1 -opensource -nomake examples -nomake tests #to save some time, I avoid compiling the examples and test modules. There are many additional options available, but these standard options worked fine everytime for my needs.
    make -j 8
    make docs #if you want offline documentation
    make install
    make install_docs #if you compiled docs@

    To compile Qt Creator:
    @qmake qtcreator.pro
    make -j 8
    make docs
    make install INSTALL_ROOT=/path/to/where/you/want/it/installed/qt-creator-2.7.0
    make install_docs INSTALL_ROOT=/path/to/where/you/want/it/installed/qt-creator-2.7.0
    make deployqt INSTALL_ROOT=/path/to/where/you/want/it/installed/qt-creator-2.7.0@



  • hi,

    I have the qt-linux-opensource-5.0.2-x86-offline.run which is downloaded from
    "Qt download link":http://http://qt-project.org/downloads

    while installing it gives an error like above

    this run file is suite for RHEL?

    If not then provide me link to download QT which is support for RedHat Linux



  • AFAIK, the binaries for Linux are reference builds for Ubuntu.

    As I said, download the "source":http://download.qt-project.org/official_releases/qt/5.0/5.0.2/single/qt-everywhere-opensource-src-5.0.2.tar.gz and build it, it's easy.

    For more information:



  • hi sorry for the late reply....

    my system- got some s/w problems thats why Late reply.

    qt-everywhere-opensource-src-5.0.2.tar.gz
    is only downloaded and treid to install on my centos 6.2 version but it is not completed.
    after make install
    command it is giving some error my question is Centos 6.2 is suitable or not?

    errors while installing qt-5.0.2

    /WTF/wtf/text/StringImpl.h:169: error: class ‘WTF::StringImpl’ does not have any field named ‘m_data16’

    ../WTF/wtf/text/StringImpl.h:219: error: ‘UChar’ was not declared in this scope

    ../WTF/wtf/text/StringImpl.h:332: error: class ‘WTF::StringImpl’ does not have any field named ‘m_data16’

    In file included from ../WTF/wtf/text/WTFString.h:29,
    from yarr/YarrPattern.h:33,
    from yarr/YarrInterpreter.h:29,
    from yarr/YarrInterpreter.cpp:28:
    ../WTF/wtf/text/StringImpl.h:978: error: ISO C++ forbids declaration of ‘UChar’ with no type

    ../WTF/wtf/text/WTFString.h: At global scope:
    ../WTF/wtf/text/WTFString.h:62: error: ISO C++ forbids declaration of ‘UChar’ with no type
    ../WTF/wtf/text/WTFString.h:62: error: expected ‘,’ or ‘...’ before ‘*’ token

    ../WTF/wtf/text/AtomicString.h:49: error: ISO C++ forbids declaration of ‘UChar’ with no type
    ../WTF/wtf/text/AtomicString.h:49: error: expected ‘,’ or ‘...’ before ‘*’ token
    ../WTF/wtf/text/AtomicString.h:49: error: ‘WTF::AtomicString::AtomicString(int)’ cannot be overloaded

    like this somany errors are getting while "make install"

    what is the problem is with QT kde or centos version?



  • hi I am also tried on Centos 6.4 version. It is also giving same error like above.

    how can i solve this issue?

    I am also tried that

    qt-linux-opensource-5.0.2-x86-offline.run

    It gives an error:
    ./qt-linux-opensource-5.0.2-x86-offline.run: /usr/lib/libstdc++.so.6: version `GLIBCXX_3.4.15' not found (required by ./qt-linux-opensource-5.0.2-x86-offline.run)

    but I found that centos is supported package is GLIBCXX_3.4.13 only so how can I use QT in Centos

    If any body give me solution I will be happy

    Thanx in advance



  • hi,

    Successfully I installed QT in Centos 6.2

    In this QT-4.8.4 is only installed

    and qt creator is installed using qt-linux-opensource-5.0.2-x86-offline.run file for this install gcc 4.8.1 then

    using command LIBS=-lstdc++ ./qt-linux-opensource-5.0.2-x86-offline.run
    then it is installed
    thanks for every one



  • It is dissapointing that there is no real tutorial on how to install Qtcreator on centos 6.4.
    Still having problems as descripted above, there has to be a way....


Log in to reply
 

Looks like your connection to Qt Forum was lost, please wait while we try to reconnect.